import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyGetTicketPermissions = createAsyncThunk(
  "PROVINCE_POLICY_GET_TICKETS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("ticket-permission/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
